- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtil::Optimizer::RemoveRedundantNodesVisitor Class Reference

Remove rendundant nodes, such as groups with one single child. More...

Inheritance diagram for osgUtil::Optimizer::RemoveRedundantNodesVisitor:

[legend]
List of all members.

## Public Types
typedef std::set< osg::Node * > | NodeList
## Public Member Functions
| RemoveRedundantNodesVisitor (Optimizer *optimizer=0)
virtual void | apply (osg::Group &group)
virtual void | apply (osg::Transform &transform)
void | removeRedundantNodes ()
bool | isOperationPermissibleForObject (const osg::Object *object) const
## Public Attributes
NodeList | _redundantNodeList
Optimizer * | _optimizer

## Detailed Description

Remove rendundant nodes, such as groups with one single child.

## Member Typedef Documentation

typedef std::set<osg::Node*> osgUtil::Optimizer::RemoveRedundantNodesVisitor::NodeList

## Constructor & Destructor Documentation

osgUtil::Optimizer::RemoveRedundantNodesVisitor::RemoveRedundantNodesVisitor | ( | Optimizer * | optimizer = `0` | ) | `[inline]`

## Member Function Documentation

void Optimizer::RemoveRedundantNodesVisitor::apply | ( | osg::Transform & | transform | ) | `[virtual]`

| Reimplemented from osg::NodeVisitor.

void Optimizer::RemoveRedundantNodesVisitor::apply | ( | osg::Group & | group | ) | `[virtual]`

| Reimplemented from osg::NodeVisitor.

bool osgUtil::Optimizer::RemoveRedundantNodesVisitor::isOperationPermissibleForObject | ( | const osg::Object * | object | ) | const`[inline]`

void Optimizer::RemoveRedundantNodesVisitor::removeRedundantNodes | ( |  | ) |

## Member Data Documentation

Optimizer* osgUtil::Optimizer::RemoveRedundantNodesVisitor::_optimizer

NodeList osgUtil::Optimizer::RemoveRedundantNodesVisitor::_redundantNodeList

The documentation for this class was generated from the following files:

- Optimizer
- Optimizer.cpp